<?php
/**
 * Default values for our section.
 *
 * This file creates defines the defaults to use for our customizer controls
 * and the output of get_theme_mod when no value is set in the customizer.
 *
 * @package   Taproot
 * @author    Sky Shabatura <theme@sky.camp>
 * @copyright 2019 Sky Shabatura
 * @license   https://www.gnu.org/licenses/gpl-2.0.html GPL-2.0-or-later
 * @link      https://taproot-theme.com
 */


// Footer Widgets Layout
$defaults->add( 'footer--widgets--layout', 'full' );

// Widgets Spacing
$defaults->add( 'footer--widgets--gutter', '1em' );

// Text Font Size
$defaults->add( 'footer--widgets--font-size', '16px' );

// Text Line Height
$defaults->add( 'footer--widgets--line-height', '1.4' );

// Title Font Size
$defaults->add( 'footer--widgets--title--font-size', '1.5em' );

// Title Line Height
$defaults->add( 'footer--widgets--title--line-height', '1.2' );


// Footer Widgets Layout Tablet
$defaults->add( 'footer--widgets--layout--tablet', 'halves' );

// Widgets Spacing Tablet
$defaults->add( 'footer--widgets--gutter--tablet', '1.5em' );

// Text Font Size Tablet
$defaults->add( 'footer--widgets--font-size--tablet', '16px' );

// Text Line Height Tablet
$defaults->add( 'footer--widgets--line-height--tablet', '1.4' );

// Title Font Size Tablet
$defaults->add( 'footer--widgets--title--font-size--tablet', '1.5em' );

// Title Line Height Tablet
$defaults->add( 'footer--widgets--title--line-height--tablet', '1.2' );


// Footer Widgets Layout Desktop
$defaults->add( 'footer--widgets--layout--desktop', 'thirds' );

// Widgets Spacing Desktop
$defaults->add( 'footer--widgets--gutter--desktop', '2em' );

// Text Font Size Desktop
$defaults->add( 'footer--widgets--font-size--desktop', '16px' );

// Text Line Height Desktop
$defaults->add( 'footer--widgets--line-height--desktop', '1.4' );

// Title Font Size Desktop
$defaults->add( 'footer--widgets--title--font-size--desktop', '1.5em' );

// Title Line Height Desktop
$defaults->add( 'footer--widgets--title--line-height--desktop', '1.2' );
