<?php
/**
 * Styles for our section.
 *
 * This file creates the front end styles for our customizer controls.
 *
 * @package   Taproot
 * @author    Sky Shabatura <theme@sky.camp>
 * @copyright 2019 Sky Shabatura
 * @license   https://www.gnu.org/licenses/gpl-2.0.html GPL-2.0-or-later
 * @link      https://taproot-theme.com
 */


use function Taproot\Customize\get_font_family;
use function Taproot\Customize\get_font_styles;
use function Taproot\Customize\theme_mod;


// Var: Heading color
$styles->add([
    'selector' => 'h2',
    'styles' => [ 'color' => theme_mod( 'typography--h2--color' ) ],
]);

// Font Family
$styles->add([
    'selector' => 'h2',
    'styles' => [
        'font-family' => get_font_family( theme_mod( 'typography--h2--font-family' ) )
    ]
]);

// Font Styles
$styles->add([
    'selector' => 'h2',
    'styles' => get_font_styles( 'typography--h2--font-styles' )
]);


// Var: Heading Font Size Mobile
$styles->custom_property([
    'name' => 'typography--h2--font-size',
    'value' => theme_mod( 'typography--h2--font-size' ),
    'screen' => 'default',
]);

// Var: Heading Line Height Mobile
$styles->custom_property([
    'name' => 'typography--h2--line-height',
    'value' => theme_mod( 'typography--h2--line-height' ),
    'screen' => 'default',
]);


// Var: Heading Font Size Tablet
$styles->custom_property([
    'name' => 'typography--h2--font-size',
    'value' => theme_mod( 'typography--h2--font-size--tablet' ),
    'screen' => 'tablet-and-up',
]);

// Var: Heading Line Height Tablet
$styles->custom_property([
    'name' => 'typography--h2--line-height',
    'value' => theme_mod( 'typography--h2--line-height--tablet' ),
    'screen' => 'tablet-and-up',
]);


// Var: Heading Font Size Desktop
$styles->custom_property([
    'name' => 'typography--h2--font-size',
    'value' => theme_mod( 'typography--h2--font-size--desktop' ),
    'screen' => 'desktop',

]);

// Var: Heading Line Height Desktop
$styles->custom_property([
    'name' => 'typography--h2--line-height',
    'value' => theme_mod( 'typography--h2--line-height--desktop' ),
    'screen' => 'desktop',
]);
